set_config_file(3)

NAME
set_config_file - Sets the configuration file. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void set_config_file(const char *filename);

DESCRIPTION
Sets the configuration file to be used by all subsequent config functions. (Allegro will not search for this file in other locations as it does with allegro.cfg at the time of initialization.) All pointers returned by previous calls to get_config_string() and other related functions are invalidated when you call this function! You can call this function before install_allegro() to change the configuration file, but after set_uformat() if you want to use a text encoding format other than the default.

SEE ALSO
set_config_data(3), override_config_file(3), push_config_state(3), set_uformat(3), set_config_string(3), get_config_string(3), exconfig(3)